#### Afterword: Beyond Software?

The essays in this book were a beginning, but they are not an end. There are many questions not yet resolved about open-source software. And there are many questions about other kinds of creative work and intellectual property that the open-source phenomenon raises, but does not really suggest a good answer for.

I am often asked if I believe the open-source model can be usefully applied to other kinds of goods than software. Most usually the question is asked about music, or the content of some kinds of books, or designs for computer and electronic hardware. Almost as frequently I am asked whether I think the open-source model has political implications.

I am not short of opinions about music, books, hardware, or politics. Some of those opinions do indeed touch on the ideas about peer review, decentralization, and openness explored in this book; the interested reader is welcome to visit my home site and make his or her own deductions. However, I have deliberately avoided such speculation in connection with my work as a theorist and ambassador of open source.

The principle is simple: one battle at a time. My tribe is waging a struggle to raise the quality and reliability expectations of software consumers and overturn the standard operating procedures of the software industry. We face entrenched opposition with a lot of money and mind-share and monopoly power. It's not an easy fight, but the logic and economics are clear; we can win and we will win. If, that is, we stay focused on that goal.

Staying focused on the goal involves not wandering down a lot of beguiling byways. This is a point I often feel needs emphasizing when I address other hackers, because in the past our representatives have shown a strong tendency to ideologize when they would have been more effective sticking to relatively narrow, pragmatic arguments.

Yes, the success of open source does call into some question the utility of command-and-control systems, of secrecy, of centralization, and of certain kinds of intellectual property. It would be almost disingenuous not to admit that it suggests (or at least harmonizes well with) a broadly libertarian view of the proper relationship between individuals and institutions.

These things having been said, however, it seems to me for the present more appropriate to try to avoid over-applying these ideas. A case in point; music and most books are not like software, because they don't generally need to be debugged or maintained. Without that requirement, the utility of peer review is much lower, and the rational incentives for some equivalent of open-sourcing therefore nearly vanish. I do not want to weaken the winning argument for open-sourcing software by tying it to a potential loser.

I expect the open-source movement to have essentially won its point about software within three to five years (that is, by 2003–2005). Once that is accomplished, and the results have been manifest for a while, they will become part of the background culture of non-programmers. At that point it will become more appropriate to try to leverage open-source insights in wider domains.

In the meantime, even if we hackers are not making an ideological noise about it, we will still be changing the world.
