#### Homesteading the Noosphere
#### Notes

[N] The term 'noosphere' is an obscure term of art in philosophy. It is pronounced KNOW-uh-sfeer (two o-sounds, one long and stressed, one short and unstressed tending towards schwa). If one is being excruciatingly correct about one's orthography, the term is properly spelled with a diaeresis over the second 'o' to mark it as a separate vowel.

In more detail; this term for "the sphere of human thought" derives from the Greek 'noos' meaning 'mind', 'intelligence', or 'perception'. It was invented by E. LeRoy in Les origines humaines et l'evolution de l'intelligence (Paris 1928). It was popularized first by the Russian biologist and pioneering ecologist Vladimir Ivanovich Vernadsky, (1863–1945), then by the Jesuit paleontologist/philosopher Pierre Teilhard de Chardin (1881–1955). It is with Teilhard de Chardin's theory of future human evolution to a form of pure mind culminating in union with the Godhead that the term is now primarily associated.

[DF] David Friedman, one of the most lucid and accessible thinkers in contemporary economics, has written an excellent outline of the history and logic of intellectual-property law. I recommend it as a starting point to anyone interested in these issues.

[BSD] One interesting difference between the Linux and BSD worlds is that the Linux kernel (and associated OS core utilities) have never forked, but BSD's has, at least three times. What makes this interesting is that the social structure of the BSD groups is centralized in a way intended to define clear lines of authority and to prevent forking, while the decentralized and amorphous Linux community takes no such measures. It appears that the projects which open up development the most actually have the least tendency to fork!

Henry Spencer <henry@spsystems.net> suggests that, in general, the stability of a political system is inversely proportional to the height of the entry barriers to its political process. His analysis is worth quoting here:

> One major strength of a relatively open democracy is that most potential revolutionaries find it easier to make progress toward their objectives by working via the system rather by attacking it. This strength is easily undermined if established parties act together to 'raise the bar', making it more difficult for small dissatisfied groups to see some progress made toward their goals.

> (A similar principle can be found in economics. Open markets have the strongest competition, and generally the best and cheapest products. Because of this, it's very much in the best interests of established companies to make market entry more difficult—for example, by convincing governments to require elaborate RFI testing on computers, or by creating 'consensus' standards which are so complex that they cannot be implemented effectively from scratch without large resources. The markets with the strongest entry barriers are the ones that come under the strongest attack from revolutionaries, e.g. the Internet and the Justice Dept. vs. the Bell System.)

> An open process with low entry barriers encourages participation rather than secession, because one can get results without the high overheads of secession. The results may not be as impressive as what could be achieved by seceding, but they come at a lower price, and most people will consider that an acceptable tradeoff. (When the Spanish government revoked Franco's anti-Basque laws and offered the Basque provinces their own schools and limited local autonomy, most of the Basque Separatist movement evaporated almost overnight. Only the hard-core Marxists insisted that it wasn't good enough.)

[RP] There are some subtleties about rogue patches. One can divide them into 'friendly' and 'unfriendly' types. A 'friendly' patch is designed to be merged back into the project's main-line sources under the maintainer's control (whether or not that merge actually happens); an 'unfriendly' one is intended to yank the project in a direction the maintainer doesn't approve. Some projects (notably the Linux kernel itself) are pretty relaxed about friendly patches and even encourage independent distribution of them as part of their beta-test phase. An unfriendly patch, on the other hand, represents a decision to compete with the original and is a serious matter. Maintaining a whole raft of unfriendly patches tends to lead to forking.

[LW] I am indebted to Michael Funk <mwfunk@uncc.campus.mci.net> for pointing out how instructive a contrast with hackers the pirate culture is. Linus Walleij has posted an analysis of their cultural dynamics that differs from mine (describing them as a scarcity culture) in A Comment on 'Warez D00dz' Culture.

The contrast may not last. Former cracker Andrej Brandt <andy@pilgrim.cs.net.pl> reports that he believes the cracker/warez d00dz culture is now withering away, with its brightest people and leaders assimilating to the open-source world. Independent evidence for this view may be provided by a precedent-breaking July 1999 action of the cracker group calling itself 'Cult of the Dead Cow'. They have released their 'Back Orifice 2000' for breaking Microsoft Windows security tools under the GPL.

[HT] In evolutionary terms, the craftsman's urge itself may (like internalized ethics) be a result of the high risk and cost of deception. Evolutionary psychologists have collected experimental evidence [BCT] that human beings have brain logic specialized for detecting social deceptions, and it is fairly easy to see why our ancestors should have been selected for ability to detect cheating. Therefore, if one wishes to have a reputation for personality traits that confer advantage but are risky or costly, it may actually be better tactics to actually have these traits than to fake them. ("Honesty is the best policy")

Evolutionary psychologists have suggested that this explains behavior like barroom fights. Among younger adult male humans, having a reputation for toughness is both socially and (even in today's feminist-influenced climate) sexually useful. Faking toughness, however, is extremely risky; the negative result of being found out leaves one in a worse position than never having claimed the trait. The cost of deception is so high that it is sometimes better minimaxing to internalize toughness and risk serious injury in a fight to prove it. Parallel observations have been made about less controversial traits like honesty.

Though the primary meditation-like rewards of creative work should not be underestimated, the craftsman's urge is probably at least in part just such an internalization (where the base trait is 'capacity for painstaking work' or something similar).

Handicap theory may also be relevant. The peacock's gaudy tail and the stag's massive rack of antlers are sexy to females because they send a message about the health of the male (and, consequently, its fitness to sire healthy offspring). They say: "I am so vigorous that I can afford to waste a lot of energy on this extravagant display." Giving away source code, like owning a sports car, is very similar to such showy, wasteful finery - it's expense without obvious return, and makes the giver at least theoretically very sexy.

[MH] A concise summary of Maslow's hierarchy and related theories is available on the Web at Maslow's Hierarchy of Needs

[DC] However, demanding humility from leaders may be a more general characteristic of gift or abundance cultures. David Christie <dc@netscape.com> reports on a trip through the outer islands of Fiji:

> In Fijian village chiefs, we observed the same sort of self-deprecating, low-key leadership style that you attribute to open source project leaders. [...] Though accorded great respect and of course all of whatever actual power there is in Fiji, the chiefs we met demonstrated genuine humility and often a saint-like acceptance of their duty. This is particularly interesting given that being chief is a hereditary role, not an elected position or a popularity contest. Somehow they are trained to it by the culture itself, although they are born to it, not chosen by their peers." He goes on to emphasize that he believes the characteristic style of Fijian chiefs springs from the difficulty of compelling cooperation: a chief has "no big carrot or big stick".

[NO] As a matter of observable fact, people who found successful projects gather more prestige than people who do arguably equal amounts of work debugging and assisting with successful projects. An earlier version of this paper asked "Is this a rational valuation of comparative effort, or is it a second-order effect of the unconscious territorial model we have adduced here?" Several respondents suggested persuasive and essentially equivalent theories. The following analysis by Ryan Waldron <rew@erebor.com> puts the case well:

> In the context of the Lockean land theory, one who establishes a new and successful project has essentially discovered or opened up new territory on which others can homestead. For most successful projects, there is a pattern of declining returns, so that after a while, the credit for contributions to a project has become so diffuse that it is hard for significant reputation to accrete to a late participant, regardless of the quality of his work.

> For instance, how good a job would I have to do making modifications to the perl code to have even a fraction of the recognition for my participation that Larry, Tom, Randall, and others have achieved?

> However, if a new project is founded [by someone else] tomorrow, and I am an early and frequent participant in it, my ability to share in the respect generated by such a successful project is greatly enhanced by my early participation therein (assuming similar quality of contributions). I reckon it to be similar to those who invest in Microoft stock early and those who invest in it later. Everyone may profit, but early participants profit more. Therefore, at some point I will be more interested in a new and successful IPO than I will be in participating in the continual increase of an existing body of corporate stock.

Ryan Waldron's analogy can be extended. The project founder has to do a missionary sell of a new idea that may or may not be acceptable or of use to others. Thus the founder incurs something analogous to an IPO risk (of possible damage to their reputation), more so than others who assist with a project that has already garnered some acceptance by their peers. The founder's reward is consistent despite the fact that the assistants may be putting in more work in real terms. This is easily seen as analogous to the relationship between risk and rewards in an exchange economy.

Other respondents have observed that our nervous system is tuned to perceive differences, not steady state. The revolutionary change evidenced by the creation of a new project is therefore much more noticeable than the cumulative effect of constant incremental improvement. Thus Linus is revered as the father of Linux, although the net effect of improvements by thousands of other contributors have done more to contribute to the success of the OS than one man's work ever could.

[HD] The phrase "de-commoditizing" is a reference to the Halloween Documents in which Microsoft used "de-commoditize" quite frankly to refer to their most effective long-term strategy for maintaining an exploitative monopoly lock on customers.

[HD] A respondent points out that the valus surrounding the "You're not a hacker until other hackers call you a hacker" norm parallel ideals professed (if not always achieved) by other meritocratic brotherhoods within social elites sufficiently wealthy to escape the surrounding scarcity economy. In the medieval European ideal of knighthood, for example, the aspiring knight was expected to fight for the right; to seek honor rather than gain; to take the side of the weak and oppressed; and to constantly seek challenges that tested his prowess to the utmost. In return, the knight-aspirant could regard himself (and be regarded by others) as among the best of the best—but only after his skill and virtue had been admitted and ratified by other knights. In the knightly ideal extolled by the Arthurian tales and Chansons de Geste we see a mix of idealism, continual self-challenge, and status-seeking similar to that which animates hackers today. It seems likely that similar values and behavioral norms should evolve around any skill that both requires great dedication and confers a kind of power.

[GNU] The Free Software Foundation's main website carries an article that summarizes the results of many of these studies. The quotes in this essay are excerpted from there.

[Next](bibliography.md)
