#### The Magic Cauldron
#### Open Source as a Strategic Weapon

Sometimes, open-sourcing can be effective not just as a way to grow markets but as a strategic maneuver against a company's competition. It will be fruitful to re-examine some of the business tactics described above from that angle; not directly as revenue generators but as ways to break into and reshape markets.

##### Cost-sharing as a competitive weapon

Earlier, we considered Apache as an example of better and cheaper infrastructure development through cost-sharing in an open-source project. For software and systems vendors competing against Microsoft and its IIS web server, the Apache project is also a competitive weapon. It would be difficult, perhaps impossible, for any other single web server vendor to completely offset the advantages of Microsoft's huge war chest and desktop-monopoly market power. But Apache enables each corporate participant in the project to offer a webserver that is both technically superior to IIS and reassures customers with a majority market share—at far lower cost. This improves the market position and cost of production for value-added electronic-commerce products (like IBM's WebSphere).

This generalizes. Open, shared infrastructure gives its participants competitive advantages. One is lower cost per participant to produce salable products and services. Another is a market position that reassures customers that they are much less likely to be stuck with orphaned technology as a result of one vendor's change in strategy or tactics.

##### Resetting the competition

When the development of the open-source X window system was funded by DEC in the 180s, their explicit goal was to 'reset the competition'. At the time there were several competing alternative graphics environments for Unix in play, notably including Sun Microsystems's NeWS system. DEC strategists believed (probably correctly) that if Sun were able to establish a proprietary graphics standard it would get a lock on the booming Unix-workstation market. By funding X and lending it engineers, and by allying with many smaller vendors to establish X as a de-facto standard, DEC was able to neutralize advantages held by Sun and other competitors with more in-house expertise in graphics. This moved the focus of competition in theworkstation market towards hardware, where DEC was historically strong.

This too generalizes. Open source is attractive to smart customers, and to potential allies not large enough to fund competive development on their own. An open-source project, pitched at the right time, can do better than just competing successfully against closed-source alternatives; it can actually prevent them from getting traction in the marketplace, resetting the competition and redirecting it from an area where the initiating company is weak to one where it is strong.

##### Growing the pond

Red Hat Software funded the development of the RPM packaging system in order to give the Linux world a standard binary package installer. By doing so, they bet that the increased confidence such a standard installer would give potential customers would be worth more in future revenue than either the development cost of the software or the revenue potentially lost to competitors also able to use it.

Sometimes the smartest way to become a bigger frog is to make the pond grow faster. This, of course, is the economic reason technology firms have participated in public standards—and it's useful to think of open-source software as an executable standard. Besides being an excellent market builder, this strategy can be a direct competitive weapon when a small company uses it to offset the mass and market power of a much larger company outside the standards-based alliance. In Red Hat's case, the obvious and acknowledged big competitor is Microsoft; standardization on RPM across most Linux distributions went a significant way towards neutralizing advantages Microsoft had previously held in ease of system administration on its Windows machines.

##### Preventing a choke hold

In explaining the loss-leader/market-positioner business model above, I described how Netscape's open-sourcing of the Mozilla browser was a (successful) maneuver aimed at preventing Microsoft from effectively locking up HTML markup and the HTTP protocol

Often, it's more important to prevent your competition from getting a chokehold on a particular technology than it is to control the technology yourself. By open-sourcing, you greatly increase the potential size of your blocking coalition.

[Next](business-risk.md)
