#### Revenge of the Hackers
#### The Facts on the Ground

While the Open Source campaign's air war in the media was going on, key technical and market facts on the ground were also changing. I'll briefly review some of them here because they combine interestingly with the trends in press and public perception.

In the eighteen months after the Netscape release, Linux continued to grow rapidly more capable. The development of solid symmetric-multiprocessing support and the effective completion of the 64-bit cleanup laid important groundwork for the future.

The roomful of Linux boxes used to render scenes for the Titanic threw a healthy scare into builders of expensive graphics engines. Then the Beowulf supercomputer-on-the-cheap project showed that Linux's Chinese-army sociology could be successfully applied even to cutting-edge scientific computing.

Nothing dramatic happened to vault Linux's open-source competitors into the limelight. And proprietary Unixes continued to lose market share; in fact, by mid-year only NT and Linux were actually gaining market share in the Fortune 500, and by late fall Linux was gaining faster (and more at the expense of NT than of other Unixes).

Apache continued to increase its lead in the web-server market. (By August 1999 Apache and its derivatives would be running fully 61% of the world's publicly-accessible Web servers.) In November 1998, Netscape's browser reversed its market-share slide and began to make gains against Internet Explorer.

In April 1999 the respected computer-market researchers IDG predicted that Linux would grow twice as fast as all other server operating systems combined through 2003—and faster than Windows NT. In May, Kleiner-Perkins (Silicon Valley's leading venture-capital firm) took a lead position in financing a Linux startup.

About the only negative development was the continuing problems of the Mozilla project. I have analyzed these elsewhere (in The Magic Cauldron). They came to a head when Jamie Zawinski, a Mozilla co-founder and the public face of the project, resigned a year and a day after the release of the source code, complaining of mismanagement and lost opportunities.

But it was an indication of the tremendous momentum open source had acquired by this time that Mozilla's troubles did not noticeably slow down the pace of adoption. The trade press, remarkably, drew the right lesson: "Open source," in Jamie's now-famous words, "is [great, but it's] not magic pixie dust."

In the early part of 1999 a trend began among big independent software vendors (ISVs) to port their business applications to Linux, following the lead set earlier by the major database vendors. In late July, the biggest of them all, Computer Associates, announced that it would be supporting Linux over much of its product line. And preliminary results from an August 1999 survey of 2000 IT managers revealed that 49% consider Linux an "important or essential" element of their enterprise computing strategies. Another survey by IDC described what it called "an amazing level of growth" since 1998, when the market research couldn't find statistically significant use of Linux; 13% of the respondents now employ it in business operations.

The year 1999 also saw a wave of wildly successful Linux IPOs by Red Hat Linux, VA Linux Systems, and other Linux companies. While the overblown dot-com-like initial valuations investors originally put on them didn't outlast the big market corrections in March 2000, these firms established an unmistakable for-profit industry around open source that continues to be a focus of investor interest.

[Next](future.md)
