#### Revenge of the Hackers
#### Into the Future

I have rehearsed recent history here only partly to get it into the record. More importantly, it sets a background against which we can understand near-term trends and project some things about the future.

First, safe predictions for the next year:

- The open-source developer population will continue to explode, a growth fueled by ever-cheaper PC hardware and fast Internet connections.

- Linux will continue to lead the way, the sheer size of its developer community overpowering the higher average skill of the open-source BSD people and the tiny HURD crew.

- ISV commitments to support the Linux platform will increase dramatically; the database-vendor commitments were a turning point.

- The Open Source campaign will continue to build on its victories and successfully raise awareness at the CEO/CTO/CIO and investor level. MIS directors will feel increasing pressure to go with open-source products not from below but from above.

- Stealth deployments of Samba-over-Linux will replace increasing numbers of NT machines even at shops that have all-Microsoft policies.

- The market share of proprietary Unixes will continue to gradually erode. At least one of the weaker competitors (likely DG-UX or HP-UX) will actually fold. But by the time it happens, analysts will attribute it to Linux's gains rather than Microsoft's.

- Microsoft will not have an enterprise-ready operating system, because Windows 2000 will not ship in a usable form. (At 60 million lines of code and still bloating, its development is out of control.)

I wrote the above predictions in mid-December of 1998. All are still holding good as of November 2000, two years after they were written. Only the last one is arguable; Microsoft managed to ship Windows 2000 by drastically curtailing its feature list; adoption rates have not been what they hoped.

Extrapolating these trends certainly suggests some slightly riskier predictions for the medium term (18 to 32 months out).

- Support operations for commercial customers of open-source operating systems will become big business, both feeding off of and fueling the boom in business use.

- (This has already come true in 1999 with the launch of LinuxCare, and Linux support-service announcements by IBM and HP and others.)

- Open-source operating systems (with Linux leading the way) will capture the ISP and business data-center markets. NT will be unable to resist this change effectively; the combination of low cost, open sources, and true 24/7 reliability will prove unstoppable.

- The proprietary-Unix sector will almost completely collapse. Solaris looks like a safe bet to survive on high-end Sun hardware, but most other players' proprietary Unixes will quickly become legacy systems.

- (In early 2000 SGI's IRIX was dead-ended by official Linux adoption within SGI itself, and in mid-2000 SCO agreed to be acquired by Caldera. It now looks probable that a number of Unix hardware vendors will switch horses to Linux without much fuss, as SGI is already well into the process of doing.)

- Windows 2000 will be either canceled or dead on arrival. Either way it will turn into a horrendous train wreck, the worst strategic disaster in Microsoft's history. However, their marketing spin on this failure will be so deft that it will barely affect their hold on the consumer desktop within the next two years.

- (In mid-2000, a just-published IDG survey suggested that "dead on arrival" looks more likely all the time, with most large corporate respondents simply refusing to deploy the initial release and existing deployments experiencing serious security and stability problems. The fact that Microsoft itself was cracked twice in late October/early November of 2000 hardly helped.)

At first glance, these trends look like a recipe for leaving Linux as the last one standing. But life is not that simple, and Microsoft derives such immense amounts of money and market clout from the desktop market that it can't safely be counted out even after the Windows 2000 train wreck.

But there are also reasons to believe that Microsoft is going to experience serious problems in 2001 that aren't related to either Linux or the Department of Justice. As hardware prices drop, the 59% of Microsoft's revenues that come from selling fixed-price preinstallation licenses to PC OEMs is under pressure. Those fixed license costs represent an ever-increasing slice of OEM's gross margins; at some point, the OEMs are going to have to claw back some of that last margin from Redmond in order to make any profits at all. We know where the critical price point is from observing the appliance and PDA market; it's at about $350 retail. On previous trends, desktop prices will cross $350 going down well before midyear 2001—and when that happens, OEMs will have to defect from the Microsoft camp to survive.

Nor will it help Microsoft to respond in the obvious way by charging a percentage of the system's retail price instead of a fixed per-unit fee. OEMs can easily fiddle that system by unbundling expensive outboard components like the monitor—and even if they didn't, Wall Street would regard such a move as an admmission that Microsoft had lost control of its future revenues. One way or another, Microsoft's revenues look likely to crash hard long before DOJ gets a final ruling.

So at two years out the crystal ball gets a bit cloudy. Which of several futures we get depends on questions like: will the DOJ actually succeed in breaking up Microsoft? Might BeOS or OS/2 or Mac OS/X or some other niche closed-source OS, or some completely new design, find a way to go open and compete effectively with Linux's 30-year-old base design? At least Y2K fizzled...

These are all fairly imponderable. But there is one such question that is worth pondering: Will the Linux community actually deliver a good end-user–friendly GUI interface for the whole system?

In the 1999 first edition of this book, I said the most likely scenario for late 2000/early 2001 has Linux in effective control of servers, data centers, ISPs, and the Internet, while Microsoft maintains its grip on the desktop. By November 2000 this prediction had proved out pretty completely except in large corporate data centers, and there it looks very likely to be fulfilled within months.

Where things go from there depend on whether GNOME, KDE, or some other Linux-based GUI (and the applications built or rebuilt to use it) ever get good enough to challenge Microsoft on its home ground.

If this were primarily a technical problem, the outcome would hardly be in doubt. But it isn't; it's a problem in ergonomic design and interface psychology, and hackers have historically been poor at these things. That is, while hackers can be very good at designing interfaces for other hackers, they tend to be poor at modeling the thought processes of the other 95% of the population well enough to write interfaces that J. Random End-User and his Aunt Tillie will pay to buy.

Applications were 1999's problem; it's now clear we'll swing enough ISVs to get the ones we don't write ourselves. I believe the problem for 2001 and later is whether we can grow enough to meet (and exceed!) the interface-design quality standard set by the Macintosh, combining that with the virtues of the traditional Unix way.

As of mid-2000, help may be on the way from the inventors of the Macintosh! Andy Hertzfeld and other members of the original Macintosh design team have formed a open-source company called Eazel with the explicit goal of bringing the Macintosh magic to Linux.

We half-joke about 'world domination', but the only way we will get there is by serving the world. That means J. Random End-User and his Aunt Tillie; and that means learning how to think about what we do in a fundamentally new way, and ruthlessly reducing the user-visible complexity of the default environment to an absolute minimum.

Computers are tools for human beings. Ultimately, therefore, the challenges of designing hardware and software must come back to designing for human beings—all human beings.

This path will be long, and it won't be easy. But I think the hacker community, in alliance with its new friends in the corporate world, will prove up to the task. And, as Obi-Wan Kenobi might say, "the Source will be with us".

[Next](../afterword.md)
