#### Revenge of the Hackers
#### The Origins of 'Open Source'

It was easy to see the outlines of the strategy. We needed to take the pragmatic arguments I had pioneered in The Cathedral and the Bazaar, develop them further, and push them hard, in public. Because Netscape itself had an interest in convincing investors that its strategy was not crazy, we could count on it to help the promotion. We also recruited Tim O'Reilly (and through him, O'Reilly & Associates) very early on.

The real conceptual breakthrough, though, was admitting to ourselves that what we needed to mount was in effect a marketing campaign—and that it would require marketing techniques (spin, image-building, and rebranding) to make it work.

Hence the term 'open source', which the first participants in what would later become the Open Source campaign (and, eventually, the Open Source Initiative organization) invented at a meeting held in Mountain View the offices of VA Research on 3 February 1998.

It seemed clear to us in retrospect that the term 'free software' had done our movement tremendous damage over the years. Part of this stemmed from the fact that the word 'free' has two different meanings in the English language, one suggesting a price of zero and one related to the idea of liberty. Richard Stallman, whose Free Software Foundation has long championed the term, says "Think free speech, not free beer" but the ambiguity of the term has nevertheless created serious problems—especially since most "free software" is also distributed free of charge.

Most of the damage, though, came from something worse—the strong association of the term 'free software' with hostility to intellectual property rights, communism, and other ideas hardly likely to endear it to an MIS manager.

It was, and still is, beside the point to argue that the Free Software Foundation is not hostile to all intellectual property and that its position is not exactly communistic. We knew that. What we realized, under the pressure of the Netscape release, was that FSF's actual position didn't matter. Only the fact that its evangelism had backfired (associating 'free software' with these negative stereotypes in the minds of the trade press and the corporate world) actually mattered.

Our success after Netscape would depend on replacing the negative FSF stereotypes with positive stereotypes of our own—pragmatic tales, sweet to managers' and investors' ears, of higher reliability and lower cost and better features.

In conventional marketing terms, our job was to rebrand the product, and build its reputation into one the corporate world would hasten to buy.

Linus Torvalds endorsed the idea the day after that first meeting. We began acting on it within a few days after. Bruce Perens had the <opensource.org> domain registered and the first version of the Open Source website up within a week. He also suggested that the Debian Free Software Guidelines become the 'Open Source Definition', and began the process of registering 'Open Source' as a certification mark so that we could legally require people to use 'Open Source' for products conforming to the OSD.

Even the particular tactics needed to push the strategy seemed pretty clear to me even at this early stage (and were explicitly discussed at the initial meeting). Key themes:

1. Forget Bottom-Up; Work on Top-Down

One of the things that seemed clearest was that the historical Unix strategy of bottom-up evangelism (relying on engineers to persuade their bosses by rational argument) had been a failure. This was naive and easily trumped by Microsoft. Further, the Netscape breakthrough didn't happen that way. It happened because a strategic decision-maker (Jim Barksdale) got the clue and then imposed that vision on the people below him.

The conclusion was inescapable. Instead of working bottom-up, we should be evangelizing top-down—making a direct effort to capture the CEO/CTO/CIO types.

2. Linux is Our Best Demonstration Case

Promoting Linux must be our main thrust. Yes, there are other things going on in the open-source world, and the campaign will bow respectfully in their direction—but Linux started with the best name recognition, the broadest software base, and the largest developer community. If Linux can't consolidate the breakthrough, nothing else will, pragmatically speaking, have a prayer.

3. Capture the Fortune 500

There are other market segment that spend more dollars (small business and home office being the most obvious examples) but those markets are diffuse and hard to address. The Fortune 500 doesn't merely have lots of money, it concentrates lots of money where it's relatively accessible. Therefore, the software industry largely does what the Fortune 500 business market tells it to do. And therefore, it is primarily the Fortune 500 we need to convince.

4. Co-opt the Prestige Media that Serve the Fortune 500

The choice to target the Fortune 500 implies that we need to capture the media that shape the climate of opinion among top-level decision-makers and investors: very specifically, the New York Times, the Wall Street Journal, the Economist, Forbes, and Barron's Magazine.

On this view, co-opting the technical trade press is necessary but not sufficient; it's important essentially as a pre-condition for storming Wall Street itself via the elite mainstream media.

5. Educate Hackers in Guerrilla Marketing Tactics

It was also clear that educating the hacker community itself would be just as important as mainstream outreach. It would be insufficient to have one or a handful of ambassadors speaking effective language if, at the grass roots, most hackers were making arguments that didn't work.

6. Use the Open Source Certification Mark to Keep Things Pure

One of the threats we faced was the possibility that the term 'open source' would be "embraced and extended" by Microsoft or other large vendors, corrupting it and losing our message. It is for this reason the Bruce Perens and I decided early on to register the term as a certification mark and tie it to the Open Source Definition (a copy of the Debian Free Software Guidelines). This would allow us to scare off potential abusers with the threat of legal action.

It eventually developed that the U.S. Patent and Trademark office would not issue a trademark for such a descriptive phrase. Fortunately, by the time we had to write off the effort to formally trademark "Open Source" a year later, the term had acquired its own momentum in the press and elsewhere. The sorts of serious abuse we feared have not (at least, not yet as of November 2000) actually materialized.

[Next](accidental-revolutionary.md)
