#### Introduction: Why You Should Care

The book in your hands is about the behavior and culture of computer hackers. It collects a series of essays originally meant for programmers and technical managers. The obvious (and entirely fair) question for you, the potential reader, to ask is: "Why should I care?"

The most obvious answer to this question is that computer software is an increasingly critical factor in the world economy and in the strategic calculations of businesses. That you have opened this book at all means you are almost certainly familiar with many of today's truisms about the information economy, the digital age, and the wired world; I will not rehearse them here. I will simply point out that any significant advance in our understanding of how to build better-quality, more reliable software has tremendous implications that are growing more tremendous by the day.

The essays in this book did not invent such a fundamental advance, but they do describe one: open-source software, the process of systematically harnessing open development and decentralized peer review to lower costs and improve software quality. Open-source software is not a new idea (its traditions go back to the beginnings of the Internet thirty years ago) but only recently have technical and market forces converged to draw it out of a niche role. Today the open-source movement is bidding strongly to define the computing infrastructure of the next century. For anyone who relies on computers, that makes it an important thing to understand.

I just referred to "the open-source movement". That hints at other and perhaps more ultimately interesting reasons for the reader to care. The idea of open source has been pursued, realized, and cherished over those thirty years by a vigorous tribe of partisans native to the Internet. These are the people who proudly call themselves "hackers" -- not as the term is now abused by journalists to mean a computer criminal, but in its true and original sense of an enthusiast, an artist, a tinkerer, a problem solver, an expert.

The tribe of hackers, after decades spent in obscurity struggling against hard technical problems and the far greater weight of mainstream indifference and dismissal, has recently begun to come into its own. They built the Internet; they built Unix; they built the World Wide Web; they're building Linux and open-source software today; and, following the great Internet explosion of the mid-1990s, the rest of the world is finally figuring out that it should have been paying more attention to them all along.

The hacker culture and its successes pose by example some fundamental questions about human motivation, the organization of work, the future of professionalism, and the shape of the firm -- and about how all of these things will change and evolve in the information-rich post-scarcity economies of the 21st century and beyond. The hacker culture also, arguably, prefigures some profound changes in the way humans will relate to and reshape their economic surroundings. This should make what we know about the hacker culture of interest to anyone else who will have to live and work in the future.

This book is a collection of essays that were originally published on the Internet; A Brief History of Hackerdom is originally from 1992 but since regularly updated and revised, and the others were written between February 1997 and May 1999. They were somewhat revised and expanded for the first edition in October 1999, and updated again for this second edition of January 2001, but no really concerted attempt has been made to remove technicalia or make them 'more accessible' (e.g. dumb them down) for a general audience. I think it more respectful to puzzle and challenge an audience than to bore and insult it. If you have difficulty with particular technical or historical points or the odd computer acronym, feel free to skip ahead; the whole does tell a story, and you may find that what you learn later makes sense of what puzzled you earlier.

The reader should also understand that these essays are evolving documents, into which I periodically merge the distilled results of feedback from people who write to comment on or correct them. While I alone remain responsible for any errors in this book, it has benefitted from a peer-review process very like that which it describes for software, and incorporates contributions from people too numerous to list here. The versions printed here are not fixed or final forms; rather, they should be considered reports from a continuing inquiry in which many members of the culture they describe are active participants.

Finally, I must at least try to express my delight and amazement and gratitude for the many people and the long chain of apparently fortuitous circumstances that have led up to this book....

Some particular thanks are due for long-term friendship and support for the work captured between these covers. Thank you, Linus Torvalds. Thank you, Larry Augustin. Thank you, Doc Searls. Thank you, Tim O'Reilly. You are all people I am proud to call friends as well as colleagues. Most especially: thank you, Catherine Raymond -- my love, my wife, and my longest-time supporter.

I am a hacker. I have been part of the culture described in this book for more than twenty years. In that time I have been privileged to work and play with some of the most interesting and exceptional people on Earth, solving fascinating problems and (on a precious few occasions) creating something both genuinely new and useful. Too many of those people to name here have taught me valuable lessons, about our shared craft and many other things. The essays in this book are my return gift to them.

These essays were stages of discovery for me as well, reports from a fascinating journey in which I learned to see the long-familiar in a new and deeper way. To my then and continuing astonishment, the mere act of reporting this journey turned out to have a catalyzing effect on the emergence of open source into the mainstream. I hope the reader of my travel papers will catch some of the excitement of that journey, and of the amazing prospects that are unfolding before us today as mainstream business and consumers take their first steps on the same road.

[Next](ch1/real-programmers.md)
