#### The Cathedral and the Bazaar

This is a book that was written by Eric S. Raymond, which you can read the original (and probably more up-to-date) version of [here](http://www.catb.org/~esr/writings/cathedral-bazaar). It is released under the Open Publication License version 2.0. This mirror exists as an attempt to be easier to read and navigate.

You can start reading the book [here](intro.md).

#### Table of Contents

[Introduction](intro.md)

A Brief History of Hackerdom
- [Prologue: The Real Programmers](ch1/real-programmers.md)
- [The Early Hackers](ch1/early-hackers.md)
- [The Rise of Unix](ch1/rise-unix.md)
- [The End of Elder Days](ch1/end-elder-days.md)
- [The Proprietary-Unix Era](ch1/proprietary-unix.md)
- [The Early Free Unixes](ch1/free-unix.md)
- [The Great Web Explosion](ch1/web-explosion.md)
- [Bibliography](ch1/bibliography.md)

The Cathedral and the Bazaar
- [The Cathedral and the Bazaar](ch2/cathedral-bazaar.md)
- [The Mail Must Get Through](ch2/mail-through.md)
- [The Importance of Having Users](ch2/having-users.md)
- [Release Early, Release Often](ch2/release.md)
- [How Many Eyeballs Tame Complexity](ch2/eyeballs-complexity.md)
- [When Is a Rose Not a Rose?](ch2/rose-not-rose.md)
- [Popclient becomes Fetchmail](ch2/fetchmail.md)
- [Fetchmail Grows Up](ch2/fetchmail-grows-up.md)
- [A Few More Lessons from Fetchmail](ch2/lessons-fetchmail.md)
- [Necessary Preconditions for the Bazaar Style](ch2/necessary-preconditions.md)
- [The Social Context of Open-Source Software](ch2/social-context.md)
- [On Management and the Maginot Line](ch2/management-maginot.md)
- [Epilog: Netscape Embraces the Bazaar](ch2/netscape.md)
- [Notes](ch2/notes.md)
- [Bibliography](ch2/bibliography.md)

Homesteading the Noosphere
- [An Introductory Contradiction](ch3/introductory-contradiction.md)
- [The Varieties of Hacker Ideology](ch3/hacker-ideology.md)
- [Promiscuous Theory, Puritan Practice](ch3/puritan-practice.md)
- [Ownership and Open Source](ch3/ownership.md)
- [Locke and Land Title](ch3/locke-land.md)
- [The Hacker Milieu as Gift Culture](ch3/gift-culture.md)
- [The Joy of Hacking](ch3/joy-hacking.md)
- [The Many Faces of Reputation](ch3/reputation.md)
- [Ownership Rights and Reputation Incentives](ch3/ownership-reputation.md)
- [The Problem of Ego](ch3/problem-ego.md)
- [The Value of Humility](ch3/humility.md)
- [Global Implications of the Reputation-Game Model](ch3/global-implications.md)
- [How Fine a Gift?](ch3/fine-gift.md)
- [Noospheric Property and the Ethology of Territory](ch3/noospheric-property.md)
- [Causes of Conflict](ch3/conflict.md)
- [Project Structures and Ownership](ch3/project-structures.md)
- [Conflict and Conflict Resolution](ch3/conflict-resolution.md)
- [Acculturation Mechanisms and the Link to Academia](ch3/acculturation-mechanisms.md)
- [Gift Outcompetes Exchange](ch3/gift-outcompetes-exchange.md)
- [Conclusion: From Custom to Customary Law](ch3/conclusion.md)
- [Questions for Further Research](ch3/further-research.md)
- [Notes](ch3/notes.md)
- [Bibliography](ch3/bibliography.md)
- [Acknowledgements](ch3/acknowledgements.md)

The Magic Cauldron
- [Indistinguishable From Magic](ch4/magic.md)
- [Beyond Geeks Bearing Gifts](ch4/geeks-gifts.md)
- [The Manufacturing Delusion](ch4/manufacturing-delusion.md)
- [The "Information Wants to be Free" Myth](ch4/information-myth.md)
- [The Inverse Commons](ch4/inverse-commons.md)
- [Reasons for Closing Source](ch4/closing-source.md)
- [Use-Value Funding Models](ch4/funding-models.md)
- [Why Sale Value is Problematic](ch4/sale-value.md)
- [Indirect Sale-Value Models](ch4/indirect-models.md)
- [When to be Open, When to be Closed](ch4/open-closed.md)
- [Open Source as a Strategic Weapon](ch4/strategic-weapon.md)
- [Open Source as a Strategic Business Risk](ch4/business-risk.md)
- [The Business Ecology of Open Source](ch4/business-ecology.md)
- [Coping with Success](ch4/success.md)
- [Open R&D and the Reinvention of Patronage](ch4/reinvention-patronage.md)
- [Getting There From Here](ch4/getting-there.md)
- [Conclusion: Life after the Revolution](ch4/conclusion.md)
- [Afterword: Why Closing a Driver Loses Its Vendor Money](ch4/afterword.md)
- [Notes](ch4/notes.md)
- [Bibliography](ch4/bibliography.md)
- [Acknowledgements](ch4/acknowledgements.md)

Revenge of the Hackers
- [Revenge of the Hackers](ch5/revenge-hackers.md)
- [Beyond Brooks's Law](ch5/brooks-law.md)
- [Memes and Mythmaking](ch5/memes-mythmaking.md)
- [The Road to Mountain View](ch5/mountain-view.md)
- [The Origins of 'Open Source'](ch5/origins.md)
- [The Accidental Revolutionary](ch5/accidental-revolutionary.md)
- [Phases of the Campaign](ch5/phases-campaign.md)
- [The Facts on the Ground](ch5/facts-ground.md)
- [Into the Future](ch5/future.md)

Afterword
- [Author's Afterword](afterword.md)
